Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058055 - [abrt] gnome-contacts: g_weak_ref_set(): gnome-contacts-search-provider killed by SIGABRT
Summary: [abrt] gnome-contacts: g_weak_ref_set(): gnome-contacts-search-provider kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-contacts
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elad Alfassa
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f58cb42e211dedbcf509cfaa265...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 18:43 UTC by franck.bailliet
Modified: 2015-02-17 19:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:56:17 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-26 18:43 UTC, franck.bailliet
no flags Details
File: cgroup (deleted)
2014-01-26 18:43 UTC, franck.bailliet
no flags Details
File: core_backtrace (deleted)
2014-01-26 18:43 UTC, franck.bailliet
no flags Details
File: dso_list (deleted)
2014-01-26 18:43 UTC, franck.bailliet
no flags Details
File: environ (deleted)
2014-01-26 18:43 UTC, franck.bailliet
no flags Details
File: limits (deleted)
2014-01-26 18:43 UTC, franck.bailliet
no flags Details
File: maps (deleted)
2014-01-26 18:43 UTC, franck.bailliet
no flags Details
File: open_fds (deleted)
2014-01-26 18:43 UTC, franck.bailliet
no flags Details
File: proc_pid_status (deleted)
2014-01-26 18:43 UTC, franck.bailliet
no flags Details

Description franck.bailliet 2014-01-26 18:43:30 UTC
Version-Release number of selected component:
gnome-contacts-3.8.3-1.fc19

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-contacts-search-provider
crash_function: g_weak_ref_set
executable:     /usr/libexec/gnome-contacts-search-provider
kernel:         3.12.5-200.fc19.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000
var_log_messages: Jan 23 10:15:40 Albertine abrt-hook-ccpp[1847]: Saved core dump of pid 1796 (/usr/libexec/gnome-contacts-search-provider) to /var/tmp/abrt/ccpp-2014-01-23-10:15:39-1796 (92688384 bytes)

Truncated backtrace:
Thread no. 1 (8 frames)
 #4 g_weak_ref_set at gobject.c:4127
 #5 signal_closure_free at e-book-client.c:133
 #6 g_source_callback_unref at gmain.c:1541
 #7 g_source_destroy_internal at gmain.c:1200
 #11 g_main_context_iteration at gmain.c:3762
 #12 g_application_run at gapplication.c:1623
 #13 _vala_main at contacts-shell-search-provider.c:1373
 #15 _start

Comment 1 franck.bailliet 2014-01-26 18:43:36 UTC
Created attachment 855742 [details]
File: backtrace

Comment 2 franck.bailliet 2014-01-26 18:43:38 UTC
Created attachment 855743 [details]
File: cgroup

Comment 3 franck.bailliet 2014-01-26 18:43:40 UTC
Created attachment 855744 [details]
File: core_backtrace

Comment 4 franck.bailliet 2014-01-26 18:43:42 UTC
Created attachment 855745 [details]
File: dso_list

Comment 5 franck.bailliet 2014-01-26 18:43:44 UTC
Created attachment 855746 [details]
File: environ

Comment 6 franck.bailliet 2014-01-26 18:43:46 UTC
Created attachment 855747 [details]
File: limits

Comment 7 franck.bailliet 2014-01-26 18:43:50 UTC
Created attachment 855748 [details]
File: maps

Comment 8 franck.bailliet 2014-01-26 18:43:52 UTC
Created attachment 855749 [details]
File: open_fds

Comment 9 franck.bailliet 2014-01-26 18:43:54 UTC
Created attachment 855750 [details]
File: proc_pid_status

Comment 10 Fedora End Of Life 2015-01-09 21:08:50 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-02-17 19:56:17 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.